Subject: Re: bug#40563: 28.0.50; Narrow to defun in python buffer

From: Andreas Röhler <[email-masked]>
Date: Fri, 4 Dec 2020 08:48:01 +0100

On 01.12.20 22:05, Tomas Nordin wrote:
> Tomas Nordin <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Tomas Nordin <[email-masked]> writes:
>>>
>>>> I then noticed that placing point just below the class definition and
>>>> then narrow works as expected. But I think the recipe way should work as
>>>> well. And even if not, this behavior is confusing.
>>> This bug is still present on the trunk.
>>>
>>> The problem is most easily reproduced by calling the
>>>
>>>    (python-nav--beginning-of-defun)
>>>
>>> function directly.  If point is on the first line, then this function
>>> won't do the right thing:
>>>
>>> def a1(self):
>>>      pass
>>>
>> It does the right thing here (still on the same build) when point is at
>> column > 4, and the wrong thing when at 4 or less. Indentation?
> Or I said wrong, now my version is 28.0.50 2020-06-07.
>
>

May reproduce this with

GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, GTK+ Version 3.14.5, 
cairo version 1.14.0) of 2020-11-19